Retry document processing
POST
/api/v1/documents/{id}/retry
const url = 'https://api.yggy.tech/api/v1/documents/example/retry';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/documents/example/retry \ --header 'Authorization: Bearer <token>'Re-trigger processing for a document. Purges the old invocation, resets the document status to PENDING, and re-triggers the workflow using the already-stored file.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Responses
Section titled “ Responses ”Document requeued for processing
Media type application/json
object
success
required
boolean
documentId
required
string
invocationId
required
string
status
required
string
message
required
string
Example
{ "status": "queued"}No stored file available for retry
Media type application/json
object
success
boolean
error
required
string
message
string
Example
{ "success": false}Document not found
Media type application/json
object
success
boolean
error
required
string
message
string
Example
{ "success": false}Document is already being processed
Media type application/json
object
success
boolean
error
required
string
message
string
Example
{ "success": false}